[tor-commits] [tor/master] Add a pre-commit hook that runs code and changelog entry formatting checks

nickm at torproject.org nickm at torproject.org
Thu Jan 24 16:08:15 UTC 2019


commit 99fffc6c2fbc00cdeb9edd07ebb580f55d0a3513
Author: rl1987 <rl1987 at sdf.lonestar.org>
Date:   Mon Jan 21 13:01:52 2019 +0200

    Add a pre-commit hook that runs code and changelog entry formatting checks
---
 changes/feature28976              |  4 ++++
 scripts/maint/pre-commit.git-hook | 23 +++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/changes/feature28976 b/changes/feature28976
new file mode 100644
index 000000000..c7ebc207f
--- /dev/null
+++ b/changes/feature28976
@@ -0,0 +1,4 @@
+  o Minor features (developer tooling):
+    - Provide a git pre-commit hook that disallows commiting if we have any
+      failures in our code and changelog formatting checks. It is now available
+      in scripts/maint/pre-commit.git-hook. Implements feature 28976.
diff --git a/scripts/maint/pre-commit.git-hook b/scripts/maint/pre-commit.git-hook
new file mode 100755
index 000000000..086855960
--- /dev/null
+++ b/scripts/maint/pre-commit.git-hook
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+# To install this script, copy it to .git/hooks/pre-commit in local copy of
+# tor git repo and make sure it has permission to execute.
+#
+# This is pre-commit git hook script that prevents commiting your changeset if
+# it fails our code formatting or changelog entry formatting checkers.
+
+workdir=$(git rev-parse --show-toplevel)
+
+cd "$workdir" || exit 1
+
+python scripts/maint/lintChanges.py ./changes
+
+perl scripts/maint/checkSpace.pl -C \
+src/lib/*/*.[ch] \
+src/core/*/*.[ch] \
+src/feature/*/*.[ch] \
+src/app/*/*.[ch] \
+src/test/*.[ch] \
+src/test/*/*.[ch] \
+src/tools/*.[ch]
+





More information about the tor-commits mailing list